Skip to main content
PATCH
Update Customer Group

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

customergroupId
string<uuid>
required

The ID of the customer group to update.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

The customer group to update.

Model Class: UpdateCustomerGroup

name
string

The name of the customer group.

isDefault
boolean

Indicates if the customer group is the default group. Only one group can be selected as the default group.

discount
number<decimal>

The discounted percentage for the customer group.

isNetPrice
boolean

Indicates if the customer group sees the net price in the online shop.

Response

The updated customer group.

Model Class: CustomerGroup

id
string<uuid>
required

Unique internal ID of the customer group.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

name
string
required

The name of the customer group.

isDefault
boolean
required

Indicates if the customer group is the default group. Only one group can be selected as the default group.

discount
number<decimal>
required

The discounted percentage for the customer group.

isNetPrice
boolean
required

Indicates if the customer group sees the net price in the online shop.